# C originale:
# int es4(int x) {
#    return x+10;
# }

# C equivalente:
# int es4(int x) {
#    int a = x;   // copiamo il parametro x nel registro A
#    a = a + 10;
#    return a;
# }


.globl es4

es4:
	movl 4(%esp), %eax
	addl $10, %eax
	ret
