# C originale:
# int es5(int x, int y, int z) {
#     return 2*x-3*y+z;
# }

# C equivalente:
# int es5(int x, int y, int z) {
#     int a = x; // copia primo parametro in registro A
#     a = a * 2;
#     int c = y; // copia primo parametro in registro C
#     c = c * 3;
#     a = a - c;
#     a = a + z; // somma terzo parametro a registro A
#     return a;
# }

.globl es5

es5:
	movl 4(%esp), %eax
	addl %eax, %eax
	movl 8(%esp), %ecx
	imull $3, %ecx
	subl %ecx, %eax
	addl 12(%esp), %eax
	ret
