# C originale:
# short es6(short x, short y) {
#     return x*x + y*y;
# }

# C equivalente:
# short es6(short x, short y) {
#     short a = x;
#     a = a * a;
#     short c = y;
#     c = c * c;
#     a = a + c;
#     return a;
# }

.globl es6

es6:
	movw 4(%esp), %ax
	imulw %ax, %ax
	movw 8(%esp), %cx
	imulw %cx, %cx
	addw %cx, %ax
	ret
