# C originale:
# int es7(int* x) {
#     return *x + 1;
# }

# C equivalente:
# int es7(int* x) {
#     int* c = x; // copia primo parametro in registro c
#     int a = *c; // copia valore oggetto puntato da c in a
#     a = a + 1;
#     return a;
# }

.globl es7

es7:
	movl 4(%esp), %ecx
	movl (%ecx), %eax
	incl %eax
	ret
