# C originale:
# void init(int* p) {
#     p[0] = 30;
#     p[1] = 20;
#     p[2] = 10;
# }

# C equivalente:
# void init(int* p) {
#     int* a = p; // copia primo parametro in registro a
#     *a = 30;
#     *(a+1) = 20;
#     *(a+2) = 10;
# }

.globl init

init:
	movl 4(%esp), %eax
	movl $30, (%eax)
	movl $20, 4(%eax)
	movl $10, 8(%eax)
	ret
